> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Datasets

> List datasets, optionally filtered by project.



## OpenAPI

````yaml /openapi.json get /v1/datasets
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/datasets:
    get:
      tags:
        - datasets
      summary: List Datasets
      description: List datasets, optionally filtered by project.
      operationId: list_datasets_v1_datasets_get
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Project Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DatasetListResponse:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/DatasetResponse'
          type: array
          title: Datasets
        total:
          type: integer
          title: Total
      type: object
      required:
        - datasets
        - total
      title: DatasetListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        name:
          type: string
          title: Name
        gcs_path:
          type: string
          title: Gcs Path
        format:
          type: string
          title: Format
        scene_count:
          type: integer
          title: Scene Count
        total_size_bytes:
          type: integer
          title: Total Size Bytes
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        uploaded_at:
          type: string
          format: date-time
          title: Uploaded At
      type: object
      required:
        - id
        - project_id
        - name
        - gcs_path
        - format
        - scene_count
        - total_size_bytes
        - uploaded_at
      title: DatasetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````